<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from nan_meansq.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="nan_meansq" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>nan_meansq</refname>
    <refpurpose>calculates the mean of the squares</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   y = nan_meansq(x,DIM,W)
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>DIM:</term>
      <listitem><para>    dimension</para></listitem></varlistentry>
   <varlistentry><term>default or []:</term>
      <listitem><para> first DIMENSION, with more than 1 element</para></listitem></varlistentry>
   <varlistentry><term>W:</term>
      <listitem><para>    weights to compute weighted mean (default: [])</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
features:
- can deal with NaN's (missing values)
- weighting of data
- dimension argument also in Octave
- compatible to Matlab and Octave
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>See also</title>
   <simplelist type="inline">
   <member><link linkend="nan_sumsq">nan_sumsq</link></member>
   <member><link linkend="sumskipnan">sumskipnan</link></member>
   <member><link linkend="nan_mean">nan_mean</link></member>
   <member><link linkend="nan_var">nan_var</link></member>
   <member><link linkend="nan_std">nan_std</link></member>
   <member><link linkend="nan_rms">nan_rms</link></member>
   </simplelist>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Copyright (C) 2000-2003,2009 by Alois Schloegl a.schloegl@ieee.org</member>
   <member>H. Nahrstaedt - 2010</member>
   </simplelist>
</refsection>
</refentry>
